Summary:	Python module for parted library
Summary(pl.UTF-8):	Moduł Pythona do biblioteki parteda
Name:		python-parted
Version:	3.10
Release:	1
License:	GPL v2+
Group:		Libraries/Python
Source0:	https://fedorahosted.org/releases/p/y/pyparted/pyparted-%{version}.tar.gz
# Source0-md5:	d494440b34bc9ea0afea45c4a4ac3274
URL:		https://fedorahosted.org/pyparted/
BuildRequires:	parted-devel >= 3.1
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	parted >= 3.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python module for the parted library. It is used for manipulating
partition tables.

%description -l pl.UTF-8
Moduł Pythona dla biblioteki parted. Służy do modyfikowania tablic
partycji.

%prep
%setup -q -n pyparted-%{version}

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%attr(755,root,root) %{py_sitedir}/_ped.so
%dir %{py_sitedir}/parted
%{py_sitedir}/parted/*.py[co]
%{py_sitedir}/pyparted-%{version}-py*.egg-info
%changelog
* Sun May 26 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-parted.git;a=log;h=master

* Sun May 26 2013 Jakub Bogusz <qboosh@pld-linux.org> cce5f45
- updated to 3.10

* Fri May 17 2013 Elan Ruusamäe <glen@delfi.ee> 89ffcaa
- build withour optflags

* Sun Dec 09 2012 Jakub Bogusz <qboosh@pld-linux.org> e60c57f
- updated to 3.9

* Mon Mar 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8467569
- release 2

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 1a9fabb
- dropped obsolete BRs

* Sun Sep 11 2011 Jakub Bogusz <qboosh@pld-linux.org> 3034d7e
- package TODO

* Fri Aug 26 2011 Artur Frysiak <artur@frysiak.net> 5eec37a
- up to 3.8

* Fri Mar 11 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 81e4aaa
- release 2

* Fri Feb 04 2011 Jakub Bogusz <qboosh@pld-linux.org> b4b55a3
- macros for py_postclean

* Fri Feb 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 6a5082d
- updated to 3.5

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 761dee2
- BR: libtool, pkgconfig

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 62e89cf
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c72f05
- release 3

* Sat Aug 29 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7503a5d
- release 2

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 220ae65
- drop obsolete files

* Thu Apr 02 2009 duddits <duddits@pld-linux.org> 5a6eb7e
- up to 2.0.9
- cleaning

* Sat Mar 21 2009 Patryk Zawadzki <patrys@room-303.com> ba4d695
- 2.0.8

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> e87994f
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ccdc07f
- release 2

* Mon May 12 2008 Patryk Zawadzki <patrys@room-303.com> bc1fd74
- proper URL

